Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.xca

# Enum Class XcaConnectionEvent.EventType

java.lang.Object
java.lang.Enum<XcaConnectionEvent.EventType>
org.firebirdsql.jaybird.xca.XcaConnectionEvent.EventType

All Implemented Interfaces:
  `Serializable`, `Comparable<XcaConnectionEvent.EventType>`, `Constable`

Enclosing class:
  XcaConnectionEvent

public static enum XcaConnectionEvent.EventType extends Enum<XcaConnectionEvent.EventType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONNECTION_CLOSED`
Event notification that an application component has closed the connection.
`CONNECTION_ERROR_OCCURRED`
Event notification that an error occurred on the connection.

## Method Summary

Modifier and Type
Method
Description
`static XcaConnectionEvent.EventType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XcaConnectionEvent.EventType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONNECTION_CLOSED

public static final XcaConnectionEvent.EventType CONNECTION_CLOSED
Event notification that an application component has closed the connection.

### CONNECTION_ERROR_OCCURRED

public static final XcaConnectionEvent.EventType CONNECTION_ERROR_OCCURRED
Event notification that an error occurred on the connection. This event indicates that the managed connection instance is now invalid and unusable.

## Method Details

### values

public static XcaConnectionEvent.EventType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XcaConnectionEvent.EventType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null